@import '{}/imports/ui/stylesheets/variables/index';

// ** Navigation container
//========================================================================================
.calendar-nav-container {
	display: block;
	padding: 0 10px;
	width: 100%;
}

.frame .calendar-nav-container {
	position: relative;
	top: auto;
}

// ** Navigation
//========================================================================================
.calendar-nav {
	display: table;
	margin: 0 auto;
	padding: 5px 0;
}

// ** Navigation elements
//========================================================================================
.calendar-nav-control,
.calendar-nav-moment {
	display: table-cell;
	vertical-align: middle;

	.btn {
		color: $blue;
		background-color: #acaaaa;
		border: $course-border-width/2 $blue solid;
		font-weight: bolder;
	}

	.btn-group > .btn:not(:first-child) {
		margin-left: -$course-border-width;
	}

	.btn-group {
		&:active, &:hover {
			& > .btn {
				color: $white;
				background-color: #acaaaa;
				border-color: $blue;
			}
		}
	}
}

.calendar-nav > .calendar-nav-control:last-child .dropdown-menu {
	@include td-pos(left, auto);
	@include td-pos(right, 0);
}

.calendar-nav-moment {

	padding: 0 5px;

	@include media-breakpoint-up(sm) {
		padding: 0 80px;
	}

	color: darken($blue, 10%);

	.lead {
		font-size: large;
		font-weight: bold;

		@include media-breakpoint-up(sm) {
			font-size: xx-large
		}
	}

	.date {
		font-size: larger;
	}
}
